Bug 159002 - strip new line character from URL on paste automatically
Summary: strip new line character from URL on paste automatically
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-09 11:54 UTC by Maciej Pilichowski
Modified: 2012-08-26 10:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-03-09 11:54:23 UTC
Version:            (using KDE 3.5.8)
Installed from:    SuSE RPMs

[ Location edit-box editing ] 

Just clarification, newline raw _character_, not encoded newline.

So:
http://www.product-reviews.net/2008/02/14/elmo-live-truly-life-lik
e-creation/

the newline between k and e would be stripped, but 

http://www.product-reviews.net/2008/02/14/elmo-live-truly-life-lik%0Ae-creation/

%0A will not because it is not raw newline character.
Comment 1 Martin Koller 2012-08-25 19:40:39 UTC
Nice idea. Still valid in 4.9.0.
Patch is here: https://git.reviewboard.kde.org/r/106184/
Comment 2 Martin Koller 2012-08-26 10:24:09 UTC
Git commit 38fda3bf750d71266a16791bcdbcc782e3f15acb by Martin Koller.
Committed on 26/08/2012 at 12:15.
Pushed by mkoller into branch 'KDE/4.9'.

strip line breaking characters from URL on text input

This patch removes line-breaking chars when an URL is entered.
Very handy if you paste URLs from e.g. an email which shows
the complete URL broken into multiple lines.
FIXED-IN: 4.9.1
REVIEW: 106184

M  +15   -0    konqueror/src/konqcombo.cpp
M  +1    -0    konqueror/src/konqcombo.h

http://commits.kde.org/kde-baseapps/38fda3bf750d71266a16791bcdbcc782e3f15acb
Comment 3 Martin Koller 2012-08-26 10:24:21 UTC
Git commit 4a6e5ee19b03f1a802d33890b75265afb2206e22 by Martin Koller.
Committed on 26/08/2012 at 12:15.
Pushed by mkoller into branch 'master'.

strip line breaking characters from URL on text input

This patch removes line-breaking chars when an URL is entered.
Very handy if you paste URLs from e.g. an email which shows
the complete URL broken into multiple lines.
FIXED-IN: 4.9.1
REVIEW: 106184

M  +15   -0    konqueror/src/konqcombo.cpp
M  +1    -0    konqueror/src/konqcombo.h

http://commits.kde.org/kde-baseapps/4a6e5ee19b03f1a802d33890b75265afb2206e22